extends Control


onready var NewPollButton = find_node("NewPollButton")


func _ready():
	NewPollButton.grab_focus()
	var window_size = Vector2(
		Config.get_parameter("video.window.width"),
		Config.get_parameter("video.window.height")
	)
	OS.window_size = window_size


func _on_NewPollButton_pressed():
	var changed = get_tree().change_scene("res://gui/forms/NewPollForm.tscn")
	if OK != changed:
		printerr("Failed to open the new poll form scene.")


func _on_ExitButton_pressed():
	get_tree().quit()


func _on_SettingsButton_pressed():
	App.go_to_settings()
